using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wTemplate_Content_默认模板_Content_Aspx_19:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:30
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("查看内容","其它","查看内容",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();
		ID=Convert.ToInt32(Request.QueryString["ID"]);
		栏目页码=Convert.ToInt32(Request.QueryString["cpage"]);
		栏目排序=Convert.ToInt32(Request.QueryString["corder"]);
		查询字段=获取查询字段();
		时间格式=获取时间格式();
		范围ID=获取范围ID();
		视频内容=获取视频内容();
		栏目ID=Convert.ToInt32(视频内容["所属栏目"]);
		当前页面=程序.安装位置+"Content.aspx";
		内容栏目=获取内容栏目();
		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml"">
<wml>
<head>
<meta http-equiv=""Cache-Control"" content=""max-age=0"" />
</head>

<card title=""");
		返回值.Append(Server.HtmlEncode(视频内容["标题"].ToString()));
		返回值.Append(@"-");
		返回值.Append(Server.HtmlEncode(内容栏目["栏目名称"].ToString()));
		返回值.Append(@""">
<p>
");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"
");
		返回值.Append(Server.HtmlEncode(视频内容["标题"].ToString()));
		返回值.Append(@"
<br/>
----------<br/>
");
		视频图片DW1YWVGY();
		返回值.Append(@"

");
		视频内容BMR7V9XE();
		返回值.Append(@"
视频简介:");
		返回值.Append(常用.UBB转换(视频内容["视频简介"].ToString(),访问.用户));
		返回值.Append(@"<br/>
");
		上下视频TVS1UXA0();
		返回值.Append(@"
");
		上下视频L6EYGJQX();
		返回值.Append(@"

");
		if(!Convert.ToBoolean(视频内容["是否关闭评论"]))
		{
		返回值.Append(@"
<input type=""text"" name=""CommentText"" maxlength=""250"" /><br/>
<anchor><go href=""/UUN WAP CMS 3.1/Comment_Save.aspx?CID=");
		返回值.Append(视频内容["所属栏目"]);
		返回值.Append(@"&amp;ID=");
		返回值.Append(视频内容["ID"]);
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""" method=""post""><postfield name=""CommentText"" value=""$(CommentText)"" /></go>[发表评论]</anchor><br/>
");
		评论列表LHW1RGL7();
		返回值.Append(@"

");
		if(Convert.ToInt32(视频内容["评论数"])>0)
		{
		返回值.Append(@"
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Comment.aspx?CID="+内容栏目["ID"]+"&ID="+视频内容["ID"],访问.用户["标识"].ToString())));
		返回值.Append(@""">更多评论(");
		返回值.Append(视频内容["评论数"]);
		返回值.Append(@")</a><br/>

");

		}
		返回值.Append(@"

");

		}
		返回值.Append(@"

");
		DataSet 数据OYUODDL0=(DataSet)Application["UUN_UUN3G_NeiRongLanMu"];
		返回值.Append(生成上级栏目列表代码OYUODDL0(数据OYUODDL0,栏目ID));
		返回值.Append(@"
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a><br/>

");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"
</p>
</card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
	private String 当前页面;
	//参数
	private new int ID;
	private int 栏目页码;
	private int 栏目排序;
	private int 栏目ID;
	//其它
	private String 查询条件="";
	private Hashtable 视频内容;
	private DataRow 内容栏目;
	private String 查询字段;
	//设置
	private String 时间格式;
	private String 范围ID;
	private Hashtable 获取视频内容()
	{
		SqlCommand 语句=new SqlCommand("UPDATE ["+程序.数据表前缀+"内容_视频_视频] SET "+
			"[点击数]=[点击数]+1,"+
			"[日点击数]=[日点击数]+1,"+
			"[周点击数]=[周点击数]+1 WHERE [是否删除]=@是否删除"+(ID==0?"":" AND [ID]="+ID),访问.连接);
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;
		语句.ExecuteNonQuery();

		语句=new SqlCommand("SELECT "+查询字段+" FROM ["+程序.数据表前缀+"内容_视频_视频] WHERE [是否删除]=@是否删除"+(ID==0?"":" AND [ID]="+ID),访问.连接);
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;

		Hashtable 返回值=常用.SQL_获取(语句);

		if(返回值==null)
			throw new Exception("内容不存在");

		int 内容模板=Convert.ToInt32(返回值["内容模板"]);

			if(File.Exists("~/Template/Content/"+程序.设置["默认模板"]+"/Content_Aspx/"+内容模板+".aspx"))
				Server.Transfer("~/Template/Content/"+程序.设置["默认模板"]+"/Content_Aspx/"+内容模板+".aspx");


		常用.应用内容权限(返回值,"视频",访问);

		ID=Convert.ToInt32(返回值["ID"]);

		return 返回值;
	}
	private DataRow 获取内容栏目()
	{
		DataRow 返回值=null;
		DataSet 内容栏目=(DataSet)Application["UUN_UUN3G_NeiRongLanMu"];
		for(int i=0;i<内容栏目.Tables[0].Rows.Count;i++)
		{
			DataRow 行=内容栏目.Tables[0].Rows[i];
			if(Convert.ToInt32(行["ID"])==栏目ID)
				返回值=行;
		}

		if(返回值==null)
			throw new Exception("内容栏目不存在");

		return 返回值;
	}
		private void 视频图片DW1YWVGY()
		{
			String[] 图片数组=视频内容["视频图片"].ToString().Split(new char[]{','},StringSplitOptions.RemoveEmptyEntries);
			for(int i=0;i<图片数组.Length;i++)
			{
				FileInfo FI=new FileInfo(Server.MapPath(图片数组[i]));
				返回值.Append(@"");
				返回值.Append("<img src=\""+图片数组[i]+"\" alt=\"图片\""+常用.获取图片宽度高度("视频")+" />");
				返回值.Append(@"<br/><a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"ImageZoom.aspx?type=small&img="+Server.UrlEncode(Server.HtmlDecode(图片数组[i]))+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString())));
				返回值.Append(@""">小图</a> <a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"ImageZoom.aspx?type=middle&img="+Server.UrlEncode(Server.HtmlDecode(图片数组[i]))+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString())));
				返回值.Append(@""">中图</a> <a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"ImageZoom.aspx?type=big&img="+Server.UrlEncode(Server.HtmlDecode(图片数组[i]))+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString())));
				返回值.Append(@""">大图</a> <a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"ImageZoom.aspx?type=null&img="+Server.UrlEncode(Server.HtmlDecode(图片数组[i]))+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString())));
				返回值.Append(@""">自定</a><br/>");

			}
		}
		private void 视频内容BMR7V9XE()
		{
			String[] 文件数组=视频内容["视频文件"].ToString().Split(new char[]{','},StringSplitOptions.RemoveEmptyEntries);
			for(int i=0;i<文件数组.Length;i++)
			{
				String 视频地址=文件数组[i].ToString();
				FileInfo FI=new FileInfo(Server.MapPath(视频地址));
				返回值.Append(@"<a href=""");
				返回值.Append(视频地址);
				返回值.Append(@""">下载");
				返回值.Append(i+1);
				返回值.Append(@"(");
				返回值.Append(FI.Extension.Substring(1));
				返回值.Append(@"/");
				返回值.Append(常用.计算文件大小(FI.Length));
				返回值.Append(@")</a><br/>");

			}
		}
	private void 上下视频TVS1UXA0()
	{
		String SQL="SELECT [ID],[所属栏目],[外部链接],[标题],[标题样式_粗体],[标题样式_斜体],[标题样式_删除线],[标题样式_颜色] FROM ["+程序.数据表前缀+"内容_视频_视频] WHERE [是否审核]=@是否审核 AND [是否删除]=@是否删除";
		if(范围ID!=""&&范围ID!=null)
		{
			String[] 范围ID数组=范围ID.Split(new char[]{'|'},StringSplitOptions.RemoveEmptyEntries);
			SQL+=" AND (";
			for(int i=0;i<范围ID数组.Length;i++)
				if(i==0)
					SQL+="[所属栏目]="+范围ID数组[i];
				else
					SQL+=" OR [所属栏目]="+范围ID数组[i];
			SQL+=")";
		}
		else
			SQL+=" AND [所属栏目]="+栏目ID;
		SQL+=" AND [ID]>"+ID+" ORDER BY [ID]";
		SqlCommand 语句=new SqlCommand(SQL,访问.连接);
		语句.Parameters.Add("@是否审核",SqlDbType.Bit).Value=false;
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;
		SqlDataReader 行=语句.ExecuteReader();
		if(行.Read())
		{
				返回值.Append(@"<a href=""");
				返回值.Append(行["外部链接"].ToString()!=""?Server.HtmlEncode(常用.处理地址(行["外部链接"].ToString(),访问.用户["标识"].ToString())):Server.HtmlEncode(常用.处理地址(程序.安装位置+"Content.aspx?CID="+行["所属栏目"]+"&ID="+行["ID"],访问.用户["标识"].ToString())));
				返回值.Append(@""">&gt;");
				返回值.Append(常用.标题样式(行["标题"].ToString(),Convert.ToBoolean(行["标题样式_粗体"]),Convert.ToBoolean(行["标题样式_斜体"]),Convert.ToBoolean(行["标题样式_删除线"]),Convert.ToString(行["标题样式_颜色"]),0));
				返回值.Append(@"</a><br/>");

		}
		else
		{
			返回值.Append(@"");
		}
		行.Close();
	}
	private void 上下视频L6EYGJQX()
	{
		String SQL="SELECT [ID],[所属栏目],[外部链接],[标题],[标题样式_粗体],[标题样式_斜体],[标题样式_删除线],[标题样式_颜色] FROM ["+程序.数据表前缀+"内容_视频_视频] WHERE [是否审核]=@是否审核 AND [是否删除]=@是否删除";
		if(范围ID!=""&&范围ID!=null)
		{
			String[] 范围ID数组=范围ID.Split(new char[]{'|'},StringSplitOptions.RemoveEmptyEntries);
			SQL+=" AND (";
			for(int i=0;i<范围ID数组.Length;i++)
				if(i==0)
					SQL+="[所属栏目]="+范围ID数组[i];
				else
					SQL+=" OR [所属栏目]="+范围ID数组[i];
			SQL+=")";
		}
		else
			SQL+=" AND [所属栏目]="+栏目ID;
		SQL+=" AND [ID]<"+ID+" ORDER BY [ID] DESC";
		SqlCommand 语句=new SqlCommand(SQL,访问.连接);
		语句.Parameters.Add("@是否审核",SqlDbType.Bit).Value=false;
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;
		SqlDataReader 行=语句.ExecuteReader();
		if(行.Read())
		{
				返回值.Append(@"<a href=""");
				返回值.Append(行["外部链接"].ToString()!=""?Server.HtmlEncode(常用.处理地址(行["外部链接"].ToString(),访问.用户["标识"].ToString())):Server.HtmlEncode(常用.处理地址(程序.安装位置+"Content.aspx?CID="+行["所属栏目"]+"&ID="+行["ID"],访问.用户["标识"].ToString())));
				返回值.Append(@""">&lt;");
				返回值.Append(常用.标题样式(行["标题"].ToString(),Convert.ToBoolean(行["标题样式_粗体"]),Convert.ToBoolean(行["标题样式_斜体"]),Convert.ToBoolean(行["标题样式_删除线"]),Convert.ToString(行["标题样式_颜色"]),0));
				返回值.Append(@"</a><br/>");

		}
		else
		{
			返回值.Append(@"");
		}
		行.Close();
	}
	private void 评论列表LHW1RGL7()
	{
		SqlCommand 语句=new SqlCommand("SELECT [ID],[楼数],[评论用户昵称],[评论内容] FROM ["+程序.数据表前缀+"内容_评论] WHERE [内容ID]="+ID+" AND [内容类型]='视频' ORDER BY [发表时间] DESC",访问.连接);
		DataSet 数据=new DataSet();
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(数据,0,5,"表");
		if(数据.Tables[0].Rows.Count<1)
			返回值.Append(@"");
		for(int i=0;i<数据.Tables[0].Rows.Count;i++)
		{
			DataRow 行=数据.Tables[0].Rows[i];
			返回值.Append(@"");
			返回值.Append(行["楼数"].ToString());
			返回值.Append(@".");
			返回值.Append(Server.HtmlEncode(行["评论用户昵称"].ToString()));
			返回值.Append(@":");
			返回值.Append(Server.HtmlEncode(常用.截取字符串(行["评论内容"].ToString(),50)));
			返回值.Append(@"<br/>");
		}
	}
	private String 生成上级栏目列表代码OYUODDL0(DataSet 数据,int ID)
	{
		if(ID!=0)
		{
			String 返回值="";
			String 栏目名称="";
			int 上级栏目=0;
			for(int i=0;i<数据.Tables[0].Rows.Count;i++)
			{
				DataRow 行=数据.Tables[0].Rows[i];
				if(Convert.ToInt32(行["ID"])==ID)
				{
					栏目名称=Convert.ToString(行["栏目名称"]);
					上级栏目=Convert.ToInt32(行["所属栏目"]);
				}
			}
				返回值+=@"<a href=""";
				返回值+=Server.HtmlEncode(常用.处理地址(程序.安装位置+"Column.aspx?ID="+ID,访问.用户["标识"].ToString()));
				返回值+=@""">返回";
				返回值+=Server.HtmlEncode(栏目名称);
				返回值+=@"</a><br/>";
				return 返回值+生成上级栏目列表代码OYUODDL0(数据,上级栏目);
		}
		else
		{
			return "";
		}
	}
	private String 获取范围ID()
	{
		return null;

	}
	private String 获取时间格式()
	{
		return @"yyyy-MM-dd HH:mm:ss";

	}
	private String 获取查询字段()
	{
		return @"[ID],[所属栏目],[标题],[是否推荐],[是否审核],[外部链接],[是否关闭评论],[权限_仅限会员],[权限_需要等级],[权限_扣除积分],[视频文件],[内容模板],[视频图片],[视频简介],[评论数]";

	}
}